#!/usr/bin/env python3

import sys

A = 52

def solve():
    s=sys.stdin.readline().strip()

    n=len(s)

    psum = [[0] * n for j in range(A)]
    firstCharIdx = [n+1] * A
    lastCharIdx  = [-1] * A

    psum[ord(s[0]) - ord('a')][0] = 1
    firstCharIdx[ord(s[0]) - ord('a')] = 0

    for i in range(1,n):
        ch = ord(s[i]) - ord('a')
        lastCharIdx[ch] = i
        if(firstCharIdx[ch] == n+1):
            firstCharIdx[ch] = i

        for c in range(A):
            psum[c][i] = psum[c][i-1] + (s[i] == chr(c+ord('a')))


    res1 = 0
    for i in range(1,n-1):
        middleChar = ord(s[i]) - ord('a')
        L = i - psum[middleChar][i-1]
        R = n - psum[middleChar][n-1] - L
        res1 += L * R
    print(res1, end=' ')

    res2 = 0
    for x in range(A):
        for y in range(A):
            for z in range(A):
                if(not (x != y and y != z) ): continue
                idxX = firstCharIdx[x] # first occurence of 'x'
                idxZ = lastCharIdx[z]  # last occurence of 'z'
                if(idxX != n + 1 and idxZ != -1 and idxX + 1 < idxZ and psum[y][idxZ-1] - psum[y][idxX] > 0):
                    res2 += 1
    print(res2)


if __name__ == '__main__':
    solve()
